package es.uca.xmleye.gui.html;

/*
 Copyright (C) 2005-2008 Antonio García Domínguez

 This program is free software; you can redistribute it
 and/or modify it under the terms of the GNU General Public
 License as published by the Free Software Foundation;
 either version 2 of the License, or (at your option) any
 later version.

 This program is distributed in the hope that it will be
 useful, but WITHOUT ANY WARRANTY; without even the implied
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 PURPOSE. See the GNU General Public License for more
 details.

 You should have received a copy of the GNU General Public
 License along with this program; if not, write to the Free
 Software Foundation, Inc., 59 Temple Place, Suite 330,
 Boston, MA 02111-1307 USA
 */

import java.awt.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.text.html.*;
import java.net.*;

/**
   Custom HTML editor kit which uses its own StyleSheet instance,
   instead of one common to the whole class.

   @author Antonio García Domínguez
 */
public class CustomHTMLEditorKit extends HTMLEditorKit {
  private StyleSheet stylesheet = new StyleSheet();

  public void setStyleSheet(StyleSheet ss) {
    this.stylesheet = ss;
  }

  public StyleSheet getStyleSheet() {
    return this.stylesheet;
  }

}
